This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 336201 - virt-install won't build new VM
virt-install won't build new VM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
All Linux
low Severity high
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 221407
  Show dependency treegraph
 
Reported: 2007-10-17 10:27 EDT by J Robinson
Modified: 2008-02-26 22:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 22:53:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output from run of virt-install described above (11.38 KB, text/plain)
2007-10-17 10:31 EDT, J Robinson
no flags Details
virsh dumpxml <name of guest>: as requested by Daniel (909 bytes, text/txt)
2007-10-17 17:53 EDT, J Robinson
no flags Details

  None (edit)
Description J Robinson 2007-10-17 10:27:10 EDT
Description of problem:

Using virt-install to build a new FC6 vm stops with 
'Unable to retrieve  http://mirrors.kernel.org//fedora/c
ore/6/i386/os//images/minstg2.img.'      

Version-Release number of selected component (if applicable):
kernel-xen-2.6-doc-2.6.20-1.3002.fc6
xen-3.0.3-12.fc6
xen-libs-3.0.3-12.fc6
kernel-xen-2.6.20-1.3002.fc6
xen-devel-3.0.3-12.fc6
kernel-xen-devel-2.6.20-1.3002.fc6

How reproducible:
Always

Steps to Reproduce:
1. start virt-install
2. What is the name of your virtual machine? test20071017d
3. How much RAM should be allocated (in megabytes)? 512
4. What would you like to use as the disk (path)? /home/admin/xen/test20071017d.disk
5. How large would you like the disk (/home/admin/xen/test20071017d.disk) to be
(in gigabytes)? 5
6.  Would you like to enable graphics support? (yes or no) no
7. What is the install location? http://mirrors.kernel.org/fedora/core/6/i386/os/
8. Choose a Language: English
9. Configure TCP/IP: Don't use DHCP, Enable IPv4, DISable IPv6
10. IPv4 address: 192.168.0.145/24, (YOUR IP HERE)
    Gateway: 192.168.0.14 (YOUR GATEWAY HERE)
    Nameserver: 192.168.0.144 (YOUR NAMESERVER HERE)
11. Wait for "Determining host name and domain.." (about 2 minutes)
12. Wait for "Welcome to Fedora Core" screen to return an error (about 6 minutes)
  
Actual results:
Unable to retrieve
http://mirrors.kernel.org//fedora/core/6/i386/os//images/minstg2.img. 

Expected results:
A working VM

Additional info:
Comment 1 J Robinson 2007-10-17 10:31:17 EDT
Created attachment 229861 [details]
output from run of virt-install described above
Comment 2 Daniel Berrange 2007-10-17 11:18:33 EDT
Please provide the libvirt XML from


 virsh dumpxml  <name of guest>

when the guest install is active.
Comment 3 J Robinson 2007-10-17 17:53:23 EDT
Created attachment 230411 [details]
virsh dumpxml  <name of guest>: as requested by Daniel
Comment 4 J Robinson 2007-10-17 17:54:29 EDT
information provided as requested.
Comment 5 J Robinson 2007-10-17 17:56:49 EDT
Sorry for repeat: bugzilla seems to be gakking on the XML I uploaded in
attachment (id=230411). Here's the data requested by Daniel. 

# virsh dumpxml test20071017f
<domain type='xen' id='4'>
  <name>test20071017f</name>
  <uuid>40deae608f83b781a45ab4e971c26b6c</uuid>
  <os>
    <type>linux</type>
    <kernel>/var/lib/xen/virtinst-vmlinuz.3PYeuI</kernel>
    <initrd>/var/lib/xen/virtinst-initrd.img.1HXtlM</initrd>
    <cmdline> method=http://mirrors.kernel.org/fedora/core/6/i386/os/</cmdline>
  </os>
  <memory>262144</memory>
  <vcpu>1</vcpu>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>destroy</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <interface type='bridge'>
      <source bridge='virbr0'/>
      <mac address='00:16:3e:4d:e7:3c'/>
      <script path='vif-bridge'/>
    </interface>
    <disk type='file' device='disk'>
      <driver name='tap' type='aio'/>
      <source file='/home/admin/xen/test20071017f.disk'/>
      <target dev='xvda'/>
    </disk>
    <console tty='/dev/pts/1'/>
  </devices>
</domain>
Comment 6 Chris Lalancette 2008-02-26 22:53:04 EST
Fedora Core 6 is now end-of-life, so closing this bug out.  Please test again on
Fedora 7 or later and open a new bug if the problem persists.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.